package com.sec.android.app.mobileprint.service;

import com.sec.android.app.mobileprint.service.ICapabilitiesCallback;
import com.sec.android.app.mobileprint.service.IPrintCallback;
import com.sec.android.app.mobileprint.service.PaperSizeList;
import com.sec.android.app.mobileprint.service.PaperTypeList;
import com.sec.android.app.mobileprint.service.PrintSettings;

interface IPrintService {

    int getAPILevel();
    String getVendorName();
    boolean isUsbPrintingSupport();
    boolean isSupportedPrinter(in int connectType, in String destination, in String modelName);
    int createPrinterInstance(in int connectType, in String destination, in String modelName);
    void getCapabilities(in int handle, in ICapabilitiesCallback callback);
    int getPrinterStatus(in int handle);
    int print(in int handle, in PrintSettings settings, in IPrintCallback callback);
    int cancel(in int handle, in int jobId);
    PaperSizeList getReferencePaperSizeList();
    PaperTypeList getReferencePaperTypeList();

}
